Skip to main content
PATCH
Update a Knowledge Chunk

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

knowledgeStoreId
string
required

The Id of the KnowledgeStore

Required string length: 24
Pattern: ^[a-z0-9]{24}$
sourceId
string
required

The Id of the KnowledgeSource

Required string length: 24
Pattern: ^[a-z0-9]{24}$
chunkId
string
required

The Id of the KnowledgeChunk

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
order
number

The name of the KnowledgeChunk

Example:

1

text
string

The text that is the actual content of the chunk

Example:

"This is a paragraph from an article"

data
object

The extended data of KnowledgeChunk

disabled
enum<boolean>

The status to check if knowledge chunk is disabled

Available options:
false,
true

Response

Successfully updated knowledge source

Last modified on July 22, 2026